`FisherGTest` <-
function(z, UseC=TRUE, plot=FALSE)
{
if (any(is.na(z)))
    stop("NA values not allowed")
n <- length(z)
m <- ifelse(n%%2==0,(n-2)/2,(n-1)/2)
PARAMETER<-m
if (UseC) {
    n<-length(z)
    nf<-floor(n/2)
    h<-numeric(2)
    p<-freq<-numeric(nf)
    out <- .Fortran("pg",
        as.double(z),
        as.integer(n),
        as.double(p),
        as.double(freq),
        as.integer(nf),
        as.double(h),
        PACKAGE="ptest")
    PVAL <-out[[6]][3]
    g<-out[[6]][2]
    fhat<-out[[6]][1]
    }
else {
    Ip <- 2 * (Mod(fft(z))^2/n)[2:(n %/% 2 + 1)]
    if( n%%2 ==0 )
        Ip<-Ip[-length(Ip)]
    g <- max(Ip)/sum(Ip)
    fhat <- ((1:length(Ip))/n)[which.max(Ip)]
    }
#
#Compute p-value. Verified using Table in Fisher's paper
p <- floor(1/g)
i <- 1:p
PVAL<-sum(choose(m,i)*(-1)^(i-1) *(1-i*g)^(m-1))
#These are other variables needed for "htest" class
STATISTIC<-c(fhat,g)
METHOD<-"Fisher's g test for periodicity"
DNAME <- deparse(substitute(z))
names(STATISTIC)<-c("frequency","g")
names(PARAMETER) <- "m"
out<-structure(list(statistic = STATISTIC, parameter = PARAMETER, 
        p.value = PVAL, method = METHOD, data.name = DNAME), 
        class = "htest")
if (plot) {
    hreg<-coefficients(FitHRegTwoParameter(z, f=fhat))
    mu<-hreg[1]
    A<-hreg[2]
    B<-hreg[3]
    amp <- sqrt(A^2+B^2) 
    ymax <- max(z, amp)
    ymin <- min(z, -amp)
    plot(as.vector(z), xlab="Observation Number", ylab=deparse(substitute(z)), 
        pch=16, cex=1, lwd=1,ylim=c(ymax,ymin), type="l")
    tt<-seq(1,n,length.out=100)
    xx<-mu+A*cos(2*pi*fhat*tt)+B*sin(2*pi*fhat*tt)
    lines(tt,xx,col="blue")
    title(main=paste("Fisher's g test, p-value =",format.pval(PVAL), " f =", format(fhat,digits=3)))
    return(invisible(out))
    }
else return(out)
}
