`PeriodicityTest` <-
function(x, NSim=10^4, Numf=50, whichTest=c("g","LR"), nullDis=c("n","t","b"), ...){
#
# Input Parameters:
# x - data 
# nsim - number of random series to be generated
# 
# NSim - number of simulations
# obsTimes - observations numbers corresponding to observed values
#
    n <- length(x)
    whichTest <- match.arg(whichTest)
    nullDis <- match.arg(nullDis)
    i <- 1:n
    obsTimes <- i[!is.na(x)]
    xm <- x[obsTimes]
    m <- length(obsTimes)
    if (nullDis=="n")
        rsim<-function() rnorm(m)
    else {
        if (nullDis=="t")
            rsim<-function() rt(m,...)
        else (nullDis=="b")
            rsim<-function() sample(x)
        }
    if (whichTest=="LR") {
        ObsLLR <- GetFitHReg(x[obsTimes], t=obsTimes, Numf=Numf)[1]
        k <- 0
        for (isim in 1:NSim){
            zsim <- rsim()
            LLR <- GetFitHReg(zsim, obsTimes, Numf=Numf)[1]
            if (LLR >= ObsLLR) k<-k+1
        }
    }
    else {
        Obsg <- NFFisherG(x, Numf=Numf)$g
        k <- 0
        zs <- rep(NA, n)
        jnd <- !is.na(x)
        for (isim in 1:NSim){
            zsim <- rsim()
            zs[jnd] <- zsim
            g <- NFFisherG(zs, Numf=Numf)$g
            if (g >= Obsg) k<-k+1
        }
    }
    pvalue <- (k+1)/(NSim+1)
    pvalue
}

