`Periodogram` <-
function(z, m="default", UseC=TRUE, plot=FALSE){
n<-length(z)
nf<-floor(n/2)
if (UseC && any(is.na(z)))
    stop("UseC=TRUE not available with NA values in input series z")
if (!UseC && m!="default")
    stop("UseC=TRUE requires m=default")
if ( m=="default" && !any(is.na(z)) ) {
    if (UseC){
        h<-numeric(3)
        p<-freq<-numeric(nf)
        out <- .Fortran("pg",
            as.double(z),
            as.integer(n),
            as.double(p),
            as.double(freq),
            as.integer(nf),
            as.double(h),
           PACKAGE="ptest")
        freq<-out[[4]]
        p<-out[[3]]
        }
    else {
    p <- (Mod(fft(z))^2/n)[2:(n %/% 2 + 1)]
    freq <- (1:floor(n/2))/n
    }
    ans<-matrix(c(freq,p), ncol=2)
    dimnames(ans)<-list(1:nf, c("f", "I(f)"))
}
else {
    ifault<-0
    if (m!="default")
        nf <- m
    h<-numeric(2)
    indna<-is.na(z)
    z2<-z
    z2[indna] <- 0
    p<-freq<-numeric(nf)
     out <- .Fortran("pgnf",
        as.double(z2),
        as.integer(indna),
        as.integer(n),
        as.double(p),
        as.double(freq),
        as.integer(nf),
        as.double(h),
        as.integer(ifault),
        PACKAGE="ptest")
    freq<-out[[5]]
    p<-out[[4]]
    ifault<-out[[8]]
    if (ifault == 1) {
        warning("fewer than 5 non-NA values in input series")
        ans<-NA
                }
    else {
        ans<-matrix(c(freq,p), ncol=2)
        dimnames(ans)<-list(1:m, c("f", "I(f)"))
        }
    }
if (plot) {
    plot(ans, type="l", xlab="frequency", ylab="Periodogram")
    }
else 
    return(ans)
}
