\name{ptest-package}
\alias{ptest-package}
\alias{ptest}
\docType{package}
\title{
Test for periodicity in short time series
}
\description{
This is a complete package for testing a large number of short
time series for periodicity.
}
\details{
\tabular{ll}{
Package: \tab ptest\cr
Type: \tab Package\cr
Version: \tab 1.0\cr
Date: \tab 2008-05-23\cr
License: \tab GPL (>= 2)\cr
LazyLoad: \tab yes\cr
}

The main function in this package is PeriodicityTest which implements a Monte-Carlo test
for periodicity suitable for short time series.
Other functions of interest are FisherGTest which implements the Fisher's g test 
for periodicity and Periodogram which computes the periodogram allowing for missing
values and non-Fourier frequencies.
Functions for fitting and simulating data from the simple harmonic regression model
are included.
A microarray dataset Cc is also included.

}

\author{
A.I. McLeod and M.S. Islam

<aimcleod@uwo.ca>

}
\references{
Islam, M.S. (2008).  
Peridocity, Change Detection and Prediction in Microarrays. 
Ph.D. Thesis, The University of Western Ontario. 
}

\keyword{ package }

\seealso{
\code{\link{PeriodicityTest}}, 
\code{\link{FisherGTest}}, 
\code{\link{Periodogram}}, 
\code{\link{FitHReg}}, 
\code{\link{SimulateHReg}} 

}

\examples{
z<-SimulateHReg(10, f=2.5/10, 1, 2)
PeriodicityTest(z)
}
